'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _settings = require('./settings.js');

var _settings2 = _interopRequireDefault(_settings);

var _util = require('./util.js');

var _util2 = _interopRequireDefault(_util);

var _Network = require('./Network.js');

var _Network2 = _interopRequireDefault(_Network);

var _Data = require('./Data.js');

var _Data2 = _interopRequireDefault(_Data);

var _Index = require('./Index.js');

var _Index2 = _interopRequireDefault(_Index);

var _Wallet = require('./Wallet.js');

var _Wallet2 = _interopRequireDefault(_Wallet);

var _User = require('./User.js');

var _User2 = _interopRequireDefault(_User);

var _OIPd = require('./OIPd.js');

var _OIPd2 = _interopRequireDefault(_OIPd);

var _Publisher = require('./Publisher.js');

var _Publisher2 = _interopRequireDefault(_Publisher);

var _Comments = require('./Comments.js');

var _Comments2 = _interopRequireDefault(_Comments);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

if ((typeof localStorage === "undefined" || localStorage === null) && typeof window === 'undefined') {
	var LocalStorage = require('node-localstorage').LocalStorage;
	var localStorage = new LocalStorage('./scratch');
} else {
	var localStorage = window.localStorage;
}

var OIPJS = function OIPJS(userSettings) {
	var Core = {};

	Core.localStorage = localStorage;
	Core.settings = _settings2.default.bind(Core)(userSettings);
	Core.util = _util2.default.bind(Core)();
	Core.Network = _Network2.default.bind(Core)();
	Core.Data = _Data2.default.bind(Core)();
	Core.Index = _Index2.default.bind(Core)();
	Core.Wallet = _Wallet2.default.bind(Core)();
	Core.User = _User2.default.bind(Core)();
	Core.OIPd = _OIPd2.default.bind(Core)();
	Core.Publisher = _Publisher2.default.bind(Core)();
	Core.Comments = _Comments2.default.bind(Core)();

	return Core;
};

exports.default = OIPJS;